/*STYLESHEET bij mobiele site module 3*/
/* Schrijf hier jouw naam */

*,
*::before,
*::after {
    box-sizing: border-box;
}
html {
    font-size: 62.5%; /* font is 10px, lekker makkelijk rekenen */
 }
body{
    margin: 0; /*anders krijg je zo'n wit randje om je site*/
    font-size: 1.6rem;
}

/*********************************************************************** HEADER/naam/hero afbeelding etc.. */
header {
    background-color: orange;
    padding: 20px; /*anders staat de tekst tegen de rand van het header blok*/
}

/* style met deze CSS code jouw logo */
img.logo {
    width: 80px;
    height: auto;
    float: left; /* hierdoor gaat je plaatje links van de tekst staan. En met float:right; gaat hij rechts van de tekst staan natuurlijk*/
    margin-right: 10px; /*beetje ruimte maken aan de rechter kant van het logo, anders plakt de tekst er tegen aan*/
}

/*********************************************************************** Pagina inhoud */

article {
    background-color: lightgreen;
    padding: 20px; /*anders staat de tekst tegen de rand van het content blok*/
}

img {
    max-width: 100%; /*hier staat dat een image nooit breder mag worden dan de breedte van het HTML element waar de <img> in zit */
}

/*plaatje links uitlijnen*/
img.links {
    float: left;
    padding-right: 20px;
    padding-bottom: 20px;
}

/*plaatje rechts uitlijnen*/
img.rechts {
    float: right;
    padding-left: 20px;
    padding-bottom: 20px;
}

p.streamer {
    color: white;
    font-size: 30px;
}
.call-to-action-button{
    border: 10px solid red;
    background-color: white;
    color: red;
    line-height: 2;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 5px;
    text-decoration: none;
    text-align: center;
    transition: all 0.3s ease-in-out;
 }
 /*Als je met je muis over de link gaat*/
 .call-to-action-button:hover{
    color: white;
    background-color: red;
    box-shadow: 0px 0px 5px 5px red;
 }
/*********************************************************************** FOOTER */
footer {
    display: block;
    background-color: black;
    color: white;
    position: relative;
    padding: 20px;
}

/*om float:left of right op te heffen de class stop-float toevoegen na de float aan een html element*/
.stop-float::fter{
    display: table;
    content:'';
    clear: both;
}
/*********************************************************************** Mediaqueries voor mobiel */
/*voor schermen tot  450px breed: mobiel portait  */
@media screen AND (max-width: 450px) AND (orientation: portrait) {
    
    img.logo {
        width: 70vw;
        float: none;
        margin-left: auto;
        margin-right: auto;
        margin-top: 70px;
        display: block;
    }

    header {
        background-color: crimson;
    }

    article {
        background-color: lightcoral;
    }
    
}

/*voor schermen tot  940px breed: mobiel landscape  */
@media screen AND (max-width: 940px) AND (orientation: landscape) {

    header img.logo {
        width: 120px;
        float: left;
        margin-right: 20px;
        margin-bottom: 20px;
    }

    header {
        background-color: hotpink;
    }

    article {
        background-color: pink;
    }
    
}

